Configure a claims source
Roles
/v1/claim-sourcesConfigures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential.
Analytic event
- CLAIM_SOURCE_CREATE_START
- CLAIM_SOURCE_CREATE_SUCCESS
- CLAIM_SOURCE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The claim source payload
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/claim-sources" \ -H "Content-Type: application/json" \ -d '{ "name": "Claims source accepting a x-api-key header", "url": "https://example.com/api/data", "authorization": { "type": "api-key", "value": "6hrFDATxrG9w14QY9wwnmVhLE0Wg6LIvwOwUaxz761m1J" }, "requestParameters": { "account_type": { "mapFrom": "claims.accountType", "defaultValue": "account.student" }, "account_id": { "mapFrom": "claims.accountId" } } }'{
"name": "Claims source accepting a x-api-key header",
"url": "https://example.com/api/data",
"authorization": {
"type": "api-key",
"value": "****************************************61m1J"
},
"requestParameters": {
"account_type": {
"mapFrom": "claims.accountType",
"defaultValue": "account.student"
},
"account_id": {
"mapFrom": "claims.accountId"
}
}
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "body",
"msg": "Invalid value",
"param": "url"
}
]
}How would you rate this page?
Retrieve Interaction Hook GET
Retrieves the Interaction Hook configuration from your tenant. ### **Analytic events** * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_START * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_SUCCESS * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_FAIL
Retrieve all claims sources GET
Returns a list of all claims sources configured on your tenant. ### **Analytic event** * CLAIM_SOURCE_RETRIEVE_LIST_START * CLAIM_SOURCE_RETRIEVE_LIST_SUCCESS * CLAIM_SOURCE_RETRIEVE_LIST_FAIL